Bug 20918 - left-side navigation broken on the checkout history page
Summary: left-side navigation broken on the checkout history page
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 18403
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-12 14:25 UTC by Jonathan Druart
Modified: 2018-06-18 05:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20918: Fix left-side navigation on the checkout history page (1.34 KB, patch)
2018-06-12 14:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20918: Fix left-side navigation on the checkout history page (1.41 KB, patch)
2018-06-12 14:50 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20918: Fix left-side navigation on the checkout history page (1.46 KB, patch)
2018-06-13 15:26 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-06-12 14:25:13 UTC
commit fa54100dffe092e606f79b15692eedaf78f42e45
  Bug 18403: Use patron-title.inc when hidepatronname is used [SPECIFIC for issuehistory]

Removed:
-    biblionumber => $biblionumber, # required for left-side navigation


When you are on the "Checkout history" page (/cgi-bin/koha/catalogue/issuehistory.pl?biblionumber=42), the left-side navigation is broken, the biblionumber is not set.
Comment 1 Jonathan Druart 2018-06-12 14:27:42 UTC
Created attachment 75994 [details] [review]
Bug 20918: Fix left-side navigation on the checkout history page

commit fa54100dffe092e606f79b15692eedaf78f42e45
  Bug 18403: Use patron-title.inc when hidepatronname is used [SPECIFIC for issuehistory]

Removed:
-    biblionumber => $biblionumber, # required for left-side navigation

But did not deal with the side-effects.

Test plan:
When you are on the "Checkout history" page (/cgi-bin/koha/catalogue/issuehistory.pl?biblionumber=42),
the left-side navigation is broken if this patch is not applied, the biblionumber is not set.
Comment 2 Martin Renvoize 2018-06-12 14:50:14 UTC
Created attachment 75999 [details] [review]
Bug 20918: Fix left-side navigation on the checkout history page

  commit fa54100dffe092e606f79b15692eedaf78f42e45
  Bug 18403: Use patron-title.inc when hidepatronname is used [SPECIFIC for issuehistory]

Removed:
-    biblionumber => $biblionumber, # required for left-side navigation

But did not deal with the side-effects.

Test plan:
When you are on the "Checkout history" page (/cgi-bin/koha/catalogue/issuehistory.pl?biblionumber=42),
the left-side navigation is broken if this patch is not applied, the biblionumber is not set.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2018-06-12 14:51:00 UTC
Good spot, signing off.
Comment 4 Josef Moravec 2018-06-13 15:26:50 UTC
Created attachment 76038 [details] [review]
Bug 20918: Fix left-side navigation on the checkout history page

commit fa54100dffe092e606f79b15692eedaf78f42e45
  Bug 18403: Use patron-title.inc when hidepatronname is used [SPECIFIC for issuehistory]

Removed:
-    biblionumber => $biblionumber, # required for left-side navigation

But did not deal with the side-effects.

Test plan:
When you are on the "Checkout history" page (/cgi-bin/koha/catalogue/issuehistory.pl?biblionumber=42),
the left-side navigation is broken if this patch is not applied, the biblionumber is not set.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2018-06-15 10:45:15 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-06-15 11:54:11 UTC
Pushed to 18.05.x for 18.05.01
Comment 7 Fridolin SOMERS 2018-06-18 05:50:41 UTC
Depends on Bug 18403 not in 17.11.x